subset,adp-method {oce} | R Documentation

## Subset an ADP Object

### Description

Subset an adp (acoustic Doppler profile) object, in a manner that is function is somewhat analogous to `subset.data.frame`. Subsetting can be by `time` or `distance`, but these may not be combined; use a sequence of calls to subset by both.

### Usage

    ## S4 method for signature 'adp'
    subset(x, subset, ...)

### Arguments

`x` | An `adp` object, i.e. one inheriting from `adp-class`.
`subset` | A condition to be applied to the `data` portion of `x`. See ‘Details’.
`...` | Ignored.

### Value

A new `adp-class` object.

### Author(s)

Dan Kelley

### See Also

Other things related to `adp` data: `[[,adp-method`, `[[<-,adp-method`, `adp-class`, `adpEnsembleAverage`, `adp`, `as.adp`, `beamName`, `beamToXyzAdp`, `beamToXyzAdv`, `beamToXyz`, `beamUnspreadAdp`, `binmapAdp`, `enuToOtherAdp`, `enuToOther`, `plot,adp-method`, `read.ad2cp`, `read.adp.nortek`, `read.adp.rdi`, `read.adp.sontek.serial`, `read.adp.sontek`, `read.adp`, `read.aquadoppHR`, `read.aquadoppProfiler`, `read.aquadopp`, `summary,adp-method`, `toEnuAdp`, `toEnu`, `velocityStatistics`, `xyzToEnuAdp`, `xyzToEnu`

Other functions that subset `oce` objects: `subset,adv-method`, `subset,amsr-method`, `subset,argo-method`, `subset,cm-method`, `subset,coastline-method`, `subset,ctd-method`, `subset,echosounder-method`, `subset,lobo-method`, `subset,met-method`, `subset,oce-method`, `subset,odf-method`, `subset,rsk-method`, `subset,sealevel-method`, `subset,section-method`, `subset,topo-method`

### Examples

    library(oce)
    data(adp)
    # First part of time series
    plot(subset(adp, time < mean(range(adp[['time']]))))

[Package oce version 0.9-22 Index]